import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppComponent } from './app.component';
import { ChartPageComponent } from './chart-page/chart-page.component';

import { IgxDataChartCoreModule, IgxDataChartCategoryModule, IgxDataChartCategoryCoreModule, IgxLegendModule, IgxCalloutLayerModule, IgxDataChartStackedModule }
  from 'igniteui-angular-charts';
import { AreaChartPageComponent } from './area-chart-page/area-chart-page.component';

@NgModule({
  declarations: [
    AppComponent,
    ChartPageComponent,
    AreaChartPageComponent
  ],
  imports: [
    BrowserModule,
    IgxDataChartCoreModule,
    IgxDataChartCategoryModule,
    IgxDataChartCategoryCoreModule,
    IgxLegendModule,
    IgxCalloutLayerModule,
    IgxDataChartStackedModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
